package com.platform.modules.live.thread;

import com.aliyuncs.mts.model.v20140618.SubmitJobsResponse;
import com.platform.modules.live.dto.SubmitJobsDto;
import com.platform.modules.live.utils.AliMediaUtils;

import java.util.concurrent.Callable;

/**
 * @Description:
 * @Author: yikaihong
 * @CreateDate: 2019/1/28 19:34
 * @Version: 1.0
 */
public class TranscodingTaskThread implements Callable {

    private SubmitJobsDto submitJobsDto;

    public TranscodingTaskThread(SubmitJobsDto submitJobsDto) {
        this.submitJobsDto = submitJobsDto;
    }

    @Override
    public Object call() throws Exception {
        SubmitJobsResponse submitJobsResponse = AliMediaUtils.submitJobs(submitJobsDto);
        return submitJobsResponse;
    }
}